#
# spec file for package skelcd-control-SLES4SAP
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


######################################################################
#
# IMPORTANT: Please do not change the control file or this spec file
#   in build service directly, use
#   https://github.com/yast/skelcd-control-SLES4SAP4SAP repository
#
#   See https://github.com/yast/skelcd-control-SLES4SAP4SAP/blob/master/CONTRIBUTING.md
#   for more details.
#
######################################################################

%define         skelcd_name SLES4SAP

Name:           skelcd-control-%{skelcd_name}
# xsltproc for converting SLES control file to SLES-for-VMware
BuildRequires:  libxslt-tools
# xmllint (for validation)
BuildRequires:  libxml2-tools
# Added skelcd macros
BuildRequires:  yast2-installation-control >= 4.1.5

# Original SLES control file (skipping registration)
BuildRequires:  diffutils
BuildRequires:  skelcd-control-SLES >= 15.3.2

# Use FHS compliant path
Requires:       yast2 >= 4.1.41

Provides:       system-installation() = SLES_SAP

#
######################################################################

URL:            https://github.com/yast/skelcd-control-SLES4SAP
AutoReqProv:    off
Version:        15.3.1
Release:        1.74
Summary:        SLES4SAP control file needed for installation
License:        MIT
Group:          Metapackages
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        installation.SLES4SAP.xsl

# SUSEConnect does not build for i586 and s390 and is not supported on those architectures
# bsc#1088552
ExcludeArch:    %ix86 s390

%description
SLES4SAP control file needed for installation

%prep

%build
# transform ("patch") the original SLES installation file
xsltproc %{SOURCE0} %{skelcd_control_datadir}/SLES.xml > installation.xml
diff -u %{skelcd_control_datadir}/SLES.xml installation.xml || :

%check
#
# Verify syntax
#
#xmllint --noout --relaxng /usr/share/YaST2/control/control.rng installation.xml

%install
#
# Add installation file
#
mkdir -p $RPM_BUILD_ROOT/%{skelcd_control_datadir}
install -m 644 installation.xml $RPM_BUILD_ROOT/%{skelcd_control_datadir}/%{skelcd_name}.xml

%files
%defattr(644,root,root,755)
%{skelcd_control_datadir}

%changelog
* Tue Nov 24 2020 lslezak@suse.cz
- Fixed the default preselected modules when installing from
  the Full medium (bsc#1178138)
- 15.3.1
* Wed Oct  7 2020 igonzalezsosa@suse.com
- Update dependency on skelcd-control-SLES to version 15.3.0
  (bsc#1177431).
- 15.3.0
* Wed Feb 26 2020 lslezak@suse.cz
- Added default preselected modules in offline installation
  (jsc#SLE-8040)
- 15.2.1
* Thu Oct 17 2019 jreidinger@suse.com
- Skip the registration step on the online and offline installation
  medium (jsc#SLE-7214)
- 15.2.0
* Tue Dec 11 2018 dgonzalez@suse.com
- Use FHS compliant path (fate#325482)
- 15.1.0
* Tue Jun 12 2018 rbrown@suse.com
- Add missing aarch64 grub2 efi subvolume (bsc#1097235)
- 15.0.5
* Mon Apr  9 2018 jsrain@suse.cz
- do not build on 32-bit architectures (bsc#1088552)
- 15.0.4
* Mon Mar 26 2018 rbrown@suse.com
- Create /root subvolume on fresh installs (bsc#1085266)
- 15.0.3
* Thu Mar 22 2018 lslezak@suse.cz
- Enhance the XSL file so the translatable strings can be extracted
  by the y2makepot tool (bsc#1083720)
- 15.0.2
* Wed Jan 10 2018 rbrown@suse.com
- adjust subvolume list to have NoCOW /var instead of many
  subvolumes (boo#1075369)
* Fri Dec  1 2017 varkoly@suse.com
- FATE#323792: [MODULE] Create SAP Applications Module
  o Adapt the text according to PM
  o Remove all existing partitions
* Wed Nov 22 2017 dakechi@suse.com
- bsc#1066771: [Build 327.1] [SLED] gnome-shell-classic was not
  installed by default
- bsc#1069413: [Build 343.1] gnome-basic pattern not found during
  installation
  Adjusted the system role to consider the new name of the
  gnome_basic pattern (with underscore).
* Tue Nov  7 2017 varkoly@suse.com
- bsc#1066678 New partitioning proposal does not work.
  Fixed the fs tags. From <fstypes> to <fs_type>
- Fix swap size
- Remove weight
- Introduce sap_server pattern again.
* Thu Nov  2 2017 varkoly@suse.com
- FATE#323792: [MODULE] Create SAP Applications Module
  Applying the new partitioning proposal.
* Fri Oct 27 2017 varkoly@suse.com
- FATE#323792: [MODULE] Create SAP Applications Module
- Start inst_sap-start client via <additional_dialogs>
- Adapt pattern names
* Thu Oct 19 2017 varkoly@suse.com
- FATE#323792: [MODULE] Create SAP Applications Module
- Include sles4sap_role
* Thu Oct  5 2017 varkoly@suse.com
- Adapt partitioning for SLES4SAP
- Remove first_user module
- FATE#323792: [MODULE] Create SAP Applications Module
* Tue Sep 12 2017 jreidinger@suse.com
- initial package to allow installation of SLES4SAP on leanos
  (FATE#322276)
- 15.0.0
